Opened 3 years ago

Closed 3 years ago

Last modified 3 years ago

#4936 closed defect (worksforme)

Latest ABB .apk does not install over Play Store version

Reported by: scheer Assignee:
Priority: Unknown Milestone:
Module: Adblock-Browser-for-Android Keywords:
Cc: fhd, mario, diegocarloslima Blocked By:
Blocking: Platform: Adblock Browser for Android
Ready: no Confidential: no
Tester: Scheer Verified working: yes
Review URL(s):

Description

With the latest ABB Android (abb-1.2.0.multi.android-arm-devbuild-1-signed.apk) the Android system does not allow the installation over the current Play Store version.

Please note, however, that the .apk can be installed when no other version of ABB is present.

Environment

abb-1.2.0.multi.android-arm-devbuild-1-signed
Galaxy S7
Android 6.0.1

How to reproduce

  1. Install the latest ABB Android version from the Play Store
  2. Download and attempt to install the latest .apk as listed above

Observed behaviour

Error message: X App not installed

Expected behaviour

App should install over the Play Store Version

Change History (3)

comment:1 Changed 3 years ago by scheer

  • Resolution set to fixed
  • Status changed from new to closed
  • Tester changed from Unknown to Scheer
  • Verified working set
  • The latest signed APK now correctly updates over the Play Store version.

abb-1.2.0.multi.android-arm-devbuild-3-signed-zipaligned
Samsung Galaxy S7
Android 6.0.1

comment:2 Changed 3 years ago by fhd

  • Resolution fixed deleted
  • Status changed from closed to reopened

I'll reopen this issue to close it with some other resolution as _fixed_. _fixed_ issues should generally have an actual code change and thus milestone associated with it.

Version 0, edited 3 years ago by fhd (next)

comment:3 Changed 3 years ago by fhd

  • Resolution set to worksforme
  • Status changed from reopened to closed
Note: See TracTickets for help on using tickets.